# Class TableCell

#### Hierarchy

- XmlComponent
  - TableCell

- Defined in file/table/table-cell/table-cell.ts:12

#####
Index

### Constructors

constructor

### Properties

options

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableCell(options): TableCell

- #### Parameters

  - ##### options: ITableCellOptions

  #### Returns TableCell

  Overrides XmlComponent.constructor

  - Defined in file/table/table-cell/table-cell.ts:13

## Properties

### `Readonly` options

options: ITableCellOptions

- Defined in file/table/table-cell/table-cell.ts:13

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in file/table/table-cell/table-cell.ts:23

Generated using TypeDoc